clang-tools 8.0.0

Public Attributes | List of all members
clang::clangd::CompletionParams Struct Reference

`#include <Protocol.h>`

Inheritance diagram for clang::clangd::CompletionParams:
[legend]
Collaboration diagram for clang::clangd::CompletionParams:
[legend]

## Public Attributes
CompletionContext | context
Public Attributes inherited from clang::clangd::TextDocumentPositionParams
TextDocumentIdentifier | textDocument
| The text document. More...
Position | position
| The position inside the text document. More...

## Detailed Description

Definition at line 798 of file Protocol.h.

## Member Data Documentation

## ◆ context

CompletionContext clang::clangd::CompletionParams::context

Definition at line 799 of file Protocol.h.

Referenced by clang::clangd::fromJSON().

The documentation for this struct was generated from the following file:

- Protocol.h